> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Zipbestanden uploaden (meer dan 6 MB)

Vanwege een technische beperking van de AWS-cloudprovider moet u bestanden groter dan 6 MB in 2 stappen uploaden:

#### **1. Vraag de vooraf ondertekende link aan voor de directe upload.** <a href="#step1" id="step1"></a>

Als invoer:

* `fileType` - `yield` OF `soil` OF `applied` OF `adapt` OF `boundary`,
* `farmUuid` (optioneel) - UUID van het landbouwbedrijf waarnaar het bestand moet worden geïmporteerd.

Als uitvoer:

* `uuid` - de verwachte UUID na het uploaden en verwerken,
* `farmUuid` - hetzelfde als de invoer,
* `fileType` - hetzelfde als de invoer,
* `s3Url` - de URL die wordt gebruikt om het bestand te uploaden,
* `s3Fields` - kenmerken die moeten worden meegegeven in het formulier voor het uploaden van het bestand.

De details over het gebruik van `s3Url` en `s3Fields` worden beschreven in de tweede stap.

De kenmerken zijn slechts 60 minuten geldig om het bestand te uploaden.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Stuur een lokaal bestand naar s3Url met de vooraf gedefinieerde formuliervelden uit s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Meldingen over de verwerking worden verstuurd via het abonnementsmechanisme dat wordt beschreven in\
[1. Abonneren: gebeurtenissen ophalen](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
De antwoordheader bevat een `Etag` header, die er bijvoorbeeld als volgt uitziet: `Etag: "6fd3e76992738357ab50039f2c60024e"`. Deze waarde wordt vervolgens gebruikt in GraphQL [query getPlatformContext](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/83.-query-collect-platform-context.md) om de voortgang van de verwerking te monitoren en de koppeling met de entiteiten "Field", "AsAppliedDataset", "YieldDataset" en "SoilDataset".
{% endhint %}

{% hint style="info" %}
Gebruik `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
